Skip to main content
GET
Get bank account

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Scopes

bank_account:read:org
APPToken

View bank account details and balances within your organization.

bank_account:read:org
USERToken

View bank account details and balances within your organization.

Path Parameters

id
string<uuid>
required

The bank account ID.

Response

Returns bank account with balance.

Response model for a bank account with balance information.

id
string<uuid>
required

Unique identifier for the bank account.

accountNumber
null | string
required

Masked account number. Null while the account is PENDING, or if it closed before the bank assigned one.

balance
object
required

Current balance of the bank account in minor units (e.g. cents for USD).

createdDateTime
string<date-time>
required

The UTC timestamp when the bank account was created.

nameOnAccount
string
required

Registered legal or DBA name on the bank account.

routingNumber
string
required

Bank routing number.

status
enum<string>
required

The status of the bank account.

Available options:
ACTIVE,
CLOSED,
PENDING
bankAccountReference
null | string

Reference identifier associated with the bank account.

nickname
null | string

Nickname for the bank account.